RANAL2(1)

NAME
ranal2 - radare2 code analysis commandline frontend

SYNOPSIS
ranal2 [-BhL] [-o offset] [-a arch] [-b bits] [-l inputlen] [[hexpairs|-]]

DESCRIPTION
ranal2 provides a commandline utility to test and perform some code analysis work on a provided hexpair as argument or from stdin if the argument is '-'.

-B  Input is binary, -l is mandatory. Useful for stdin

-o offset
    Offset of the opcode to assemble

-h  Show help message

-a arch
    Set a different architecture (x86, ppc, arm, java)

-b bits
    Specify bit size of registers: 8, 16, 32, 64

-l len
    Specify length of input data

-L  List all supported code analysis plugins

-h  Show usage help message

SEE ALSO

radare2(1), rafind2(1), rahash2(1), rabin2(1), radiff2(1), ragg2(1), rarun2(1), rasm2(1), rasc2(1), rax2(1),

AUTHORS

pancake <pancake@nopcode.org>, nibble <nibble@develsec.org>